For the complete documentation index, see llms.txt.

Orders
POST/api/orders

Create Order

Create a new unshipped order

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders

Details

Create a new unshipped order

Create Order Request

Attribute Type Description
order object The order details object (Create Order Model)

Create Order Response

Attribute Type Description
order object Created orders details (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "order": {
    "order_date": "",
    "order_number": "1781783617",
    "reference": "Online Order",
    "shipping_method": "Return Express Shipping",
    "signature_required": false,
    "return_order": false,
    "dangerous_goods": false,
    "shipping_freight_value": 12.5,
    "currency": "AUD",
    "sender_details": {
      "name": "Frank's Flowers",
      "email": "frank@flowers.example",
      "phone": "0215671234",
      "street": "10 Rose Street",
      "suburb": "Redfern",
      "city": "Sydney",
      "state": "NSW",
      "post_code": "2016",
      "country": "Australia",
      "tax_numbers": [
        {
          "tax_type": "australia_gst_number",
          "tax_number": "123456789"
        }
      ]
    },
    "destination": {
      "name": "Johnny Smith",
      "phone": "0290988227",
      "street": "20 George Street",
      "suburb": "Sydney",
      "state": "NSW",
      "post_code": "2000",
      "country": "Australia",
      "delivery_instructions": "Leave at door",
      "tax_numbers": [
        {
          "tax_type": "vat_registration",
          "tax_number": "GB123456789"
        }
      ]
    },
    "items": [
      {
        "description": "Mobile Phone",
        "sku": "MOBILE",
        "tariff_code": "851713",
        "country_of_origin": "AU",
        "quantity": 1,
        "weight": 0.65,
        "value": 125,
        "brand": "Acme",
        "material": "Aluminium",
        "usage": "Personal electronics",
        "mid_code": "AUSACME",
        "bin_location": "A-01",
        "barcode": "9340000000012",
        "image_url": "https://example.com/products/mobile-phone.jpg",
        "merchant_product_id": "MOBILE",
        "manufacturer_product_id": "ACME-MOBILE-001",
        "standardised_product_id": "9340000000012"
      }
    ],
    "packages": [
      {
        "name": "Small carton",
        "weight": 0.7,
        "height": 0.04,
        "width": 0.08,
        "length": 0.12,
        "packaging_type": "Carton"
      }
    ],
    "customs": {
      "incoterm": "DAP",
      "export_reason": "Sale",
      "invoice_remarks": "Handle with care",
      "invoice_text": "Commercial invoice text"
    }
  }
}

Response examples

Create Order (200)
{
  "order": {
    "order_id": 1020304051,
    "order_date": "2020-04-29T22:47:00.0593501Z",
    "order_number": "10001",
    "reference": "Online Order",
    "carrier": "AusPost",
    "carrier_name": "Australia Post",
    "carrier_service_code": "7B05",
    "shipping_method": "Express Shipping",
    "signature_required": false,
    "dangerous_goods": false,
    "destination": {
      "name": "John Smith",
      "phone": "0290988227",
      "street": "20 George Street",
      "suburb": "Sydney",
      "state": "NSW",
      "post_code": "2000",
      "country": "Australia",
      "delivery_instructions": "Leave at door"
    },
    "items": [
      {
        "item_id": 1065580746,
        "description": "Mobile Phone",
        "sku": "MOBILE",
        "quantity": 1,
        "quantity_to_ship": 0,
        "weight": 0.65,
        "value": 125
      },
      {
        "item_id": 1065580747,
        "description": "Mobile Case (Black)",
        "sku": "MOBILE-CASE-BLK",
        "quantity": 1,
        "quantity_to_ship": 0,
        "weight": 0.05,
        "value": 20
      }
    ],
    "packages": [
      {
        "package_id": 1035548017,
        "weight": 0.7,
        "height": 0.04,
        "width": 0.08,
        "length": 0.12
      }
    ],
    "declared_value": 0
  },
  "success": true
}
Create Order

Related endpoints